Bug 1569149 - net_usage_rate_average for a VM is always 0.0, even under load
Summary: net_usage_rate_average for a VM is always 0.0, even under load
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Martin Perina
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 17:11 UTC by Jan Zmeskal
Modified: 2018-04-23 13:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-23 12:33:36 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)

Description Jan Zmeskal 2018-04-18 17:11:15 UTC
Description of problem:
Values collected for Network I/O for a VM are always 0, even during download of a huge file.

Version-Release number of selected component (if applicable):
CFME 5.8.4.1
RHV 4.2.2.5

How reproducible:
100 %

Steps to Reproduce:
1. Have a CFME appliance, VM on RHV and working C&U collection.
2. SSH to your VM and cd to /tmp.
3. On your VM: wget --no-check-certificate releases.manageiq.org/manageiq-ovirt-gaprindashvili-2.ova
4. Now SSH to your appliance and enter rails console (rails c).
5. Find your provider (rhevm = ManageIQ::Providers::Redhat::InfraManager.find_by(:name => "rhv_cfme_integration"))
6. Find your VM (my_vm = rhevm.vms.find_by(:name => "vm_snapshot_3"))
7. Monitor collected statistics on net usage (my_vm.perf_collect_metrics('realtime', 1.minute.ago))

Actual results:
The result is always :net_usage_rate_average=>0.0

Expected results:
The download speed reported by wget utility for me was 2 MB/s so I would expect to see similar values.

Comment 2 Martin Perina 2018-04-20 07:18:29 UTC
Alona, could you please take a look?

Comment 3 Alona Kaplan 2018-04-22 08:59:45 UTC
Sounds similar to https://bugzilla.redhat.com/1408963

Jan, do you see the correct information in ovirt?

Comment 4 Alona Kaplan 2018-04-22 09:00:48 UTC
Shirly, can you please take a look?

Comment 5 Shirly Radco 2018-04-22 09:37:53 UTC
Ilanit, do you have an environment to test this?

Comment 6 Jan Zmeskal 2018-04-23 09:18:07 UTC
I was looking into it again and unfortunately I cannot reproduce it. Since I reported this bug, I had to restart the VM with CFME appliance. And since the restart it seems to work alright. Unfortunately I forgot to attach the the logs when I reported this bug.

Comment 7 Martin Perina 2018-04-23 12:33:36 UTC
If reproduced please attach required logs


Note You need to log in before you can comment on or make changes to this bug.